Subject: Re: linux-next: build failure after merge of the input tree

From: Mark Brown <[email-masked]>
Date: Thu, 4 Aug 2022 13:33:50 +0100

On Mon, Aug 01, 2022 at 10:44:34PM +0100, [email-masked] wrote:
> Hi all,
> 
> After merging the hid tree, today's linux-next build (x86_64 allmodconfig)
> failed like this:
> 
> /tmp/next/build/drivers/hid/hid-nintendo.c:406:29: error: redefinition of 'JC_RUMBLE_ZERO_AMP_PKT_CNT'
>   406 | static const unsigned short JC_RUMBLE_ZERO_AMP_PKT_CNT = 5;
>       |                             ^~~~~~~~~~~~~~~~~~~~~~~~~~
> /tmp/next/build/drivers/hid/hid-nintendo.c:295:29: note: previous definition of 'JC_RUMBLE_ZERO_AMP_PKT_CNT' was here
>   295 | static const unsigned short JC_RUMBLE_ZERO_AMP_PKT_CNT = 5;
>       |                             ^~~~~~~~~~~~~~~~~~~~~~~~~~

This error persists, I've gone back to 20220722 which seems to be the
last version.